'use strict';

const path = require('path');
const fs = require('fs');

let getAllMiddle = function(app) {
  let p = path.join(__dirname, './middleware');
  let files = fs.readdirSync(p);
  files.filter(function(item) {
    return item !== 'index.js' && item.endsWith('.js');
  }).forEach(function (item) {
    let model = require(`${p}/${item}`)(app);
  });
};

let getPorjectMiddle = function(app) {
  let p = path.join(path.resolve(), './src/middleware');
  if (!fs.existsSync(p)) return;
  let files = fs.readdirSync(p);
  files.filter(function(item) {
    return item !== 'index.js' && item.endsWith('.js');
  }).forEach(function (item) {
    let model = require(`${p}/${item}`)(app);
  });
};

module.exports = function(app) {
  getAllMiddle(app);
  getPorjectMiddle(app);
};
